EOS-PROFILE(1)

NAME
eos-profile - Inspect profiling data

SYNOPSIS

eos-profile help

eos-profile show FILE

eos-profile convert FILE

eos-profile diff FILE...

DESCRIPTION

eos-profile is a tool for inspecting, converting, and comparing profile data files generated by the Endless SDK.

COMMANDS

show
    Prints out a list of the profiling probes for the given file, as well as the various timing information associated to each probe, and their location in the source.

convert
    Converts a profile data file into other formats, like JSON.

diff
    Compares two or more profile data files, and prints out the timing information for each probe in each file.